% Created by FlowframTk version 0.7
% 10-Oct-2014 15:43:59
% /home/nlct/Documents/nonfiction/latex/admin/examples/aisheet.ajr
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{aisheet}
\RequirePackage{pgf}
\RequirePackage{ifpdf}
\newcommand*{\jdroutline}[3]{%
  \GenericWarning{}{text outline can't be implemented}#3%
}%
\ifpdf
 \let\jdrorgmod\mod
 \InputIfFileExists{pdf-trans}%
 {%
   \renewcommand*{\jdroutline}[3]{%
     {\def\mod{\expandtwonumexprafter \modulo}%
     \setbox\@tempboxa\hbox{##3}%
     \boxgs{##1}{}\copy\@tempboxa
     }%
   }%
 }{}
 \let\mod\jdrorgmod
\else
 \IfFileExists{pst-char.sty}%
 {%
   \usepackage{pst-char}
   \renewcommand*{\jdroutline}[3]{%
     \begin{pspicture}(0,0)
     \pscharpath[##2]{##3}
     \end{pspicture}
   }
 }{}
\fi
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{drm}

\RequirePackage{pifont}
\RequirePackage{graphicx}

\AtBeginDocument{%
 \pagestyle{empty}%
 \setcounter{secnumdepth}{0}%
}

\DeclareOption{draft}{\PassOptionsToPackage{draft}{flowfram}}
\DeclareOption{final}{\PassOptionsToPackage{final}{flowfram}}
\DeclareOption{rotate}{\PassOptionsToPackage{rotate}{flowfram}}
\DeclareOption{norotate}{\PassOptionsToPackage{norotate}{flowfram}}
\DeclareOption{ttbtitle}{\PassOptionsToPackage{ttbtitle}{flowfram}}
\DeclareOption{ttbnotitle}{\PassOptionsToPackage{ttbnotitle}{flowfram}}
\DeclareOption{ttbnum}{\PassOptionsToPackage{ttbnum}{flowfram}}
\DeclareOption{ttbnonum}{\PassOptionsToPackage{ttbnonum}{flowfram}}
\DeclareOption{color}{\PassOptionsToPackage{color}{flowfram}}
\DeclareOption{nocolor}{\PassOptionsToPackage{nocolor}{flowfram}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[12pt]{article}
\RequirePackage[a4paper,portrait]{geometry}
\geometry{lmargin=0.0mm,rmargin=0.0mm,tmargin=0.0mm,bmargin=0.0mm}
\setlength{\evensidemargin}{\oddsidemargin}
\addtolength{\evensidemargin}{18.978829mm}
\RequirePackage{flowfram}
\renewcommand*{\@ff@pages@countreg}{\c@page}
\newflowframe[all]{120.352783mm}{287.352783mm}{4.823611mm}{4.823606mm}[main]

% Border command for frame 'main'
\expandafter\def\csname @flf@border@main\endcsname#1{%
\begin{pgfpicture}{0pt}{0pt}{130.352783mm}{297.352783mm}
\pgfputat{\pgfpoint{-5.0mm}{-5.0mm}}{%
\begin{pgfscope}
\pgfsetlinewidth{1.0bp}
\pgfsetrectcap
\pgfsetmiterjoin
\pgfsetmiterlimit{10.0}
\pgfpathmoveto{\pgfpoint{0.176389mm}{297.176394mm}}
\pgfpathlineto{\pgfpoint{0.176389mm}{0.176394mm}}
\pgfpathlineto{\pgfpoint{130.176389mm}{0.176394mm}}
\pgfpathlineto{\pgfpoint{130.176389mm}{297.176394mm}}
\pgfpathlineto{\pgfpoint{0.176389mm}{297.176394mm}}
\pgfclosepath
\definecolor{fillpaint}{cmyk}{0.2,0.4,0.0,0.0}\pgfsetfillcolor{fillpaint}
\pgfseteorule 
\pgfusepath{fill}
\end{pgfscope}
}
\pgfputat{\pgfpoint{0pt}{0pt}}{\pgftext[left,bottom]{#1}}
\end{pgfpicture}}
\setflowframe*
{main}{offset=0pt,border={@flf@border@main}}

\newstaticframe[all]{78.352783mm}{297.352783mm}{131.823608mm}{-0.176394mm}[sidepane]

% Border command for frame 'sidepane'
\expandafter\def\csname @flf@border@sidepane\endcsname#1{%
\begin{pgfpicture}{0pt}{0pt}{78.352783mm}{297.352783mm}
\pgfputat{\pgfpoint{-0.0mm}{-0.0mm}}{%
\begin{pgfscope}
\pgfsetlinewidth{1.0bp}
\pgfsetrectcap
\pgfsetmiterjoin
\pgfsetmiterlimit{10.0}
\pgfpathmoveto{\pgfpoint{0.176392mm}{297.176394mm}}
\pgfpathlineto{\pgfpoint{0.176392mm}{0.176394mm}}
\pgfpathlineto{\pgfpoint{78.176392mm}{0.176394mm}}
\pgfpathlineto{\pgfpoint{78.176392mm}{297.176394mm}}
\pgfpathlineto{\pgfpoint{0.176392mm}{297.176394mm}}
\pgfclosepath
\definecolor{fillpaint}{cmyk}{0.0,0.0,0.5,0.0}\pgfsetfillcolor{fillpaint}
\pgfseteorule 
\pgfusepath{fill}
\end{pgfscope}
}
\pgfputat{\pgfpoint{0pt}{0pt}}{\pgftext[left,bottom]{#1}}
\end{pgfpicture}}
\setstaticframe*
{sidepane}{offset=0pt,border={@flf@border@sidepane}}

\setstaticframe*{sidepane}{valign=c}
\newdynamicframe[all]{70.352783mm}{57.352776mm}{135.823608mm}{234.823613mm}[title]

\setdynamicframe*{title}{valign=t}
\setdynamiccontents*{title}{\raggedright\bfseries\scshape\Large
Oh No! The Chickens Have Escaped

}
\newstaticframe[all]{53.622223mm}{72.248889mm}{144.486486mm}{156.253814mm}[titleimage]

% Border command for frame 'titleimage'
\expandafter\def\csname @flf@border@titleimage\endcsname#1{%
\begin{pgfpicture}{0pt}{0pt}{53.622223mm}{72.248889mm}
\pgfputat{\pgfpoint{-0.0mm}{-0.0mm}}{%
\begin{pgfscope}
\pgftransformcm{0.1}{-0.0}{0.0}{0.1}{\pgfpoint{0.0mm}{72.248889mm}}
\pgflowlevelsynccm
\pgfputat{\pgfpoint{0pt}{0pt}}{\pgftext[top,left]{\includegraphics[width=536.222222mm,height=722.488889mm]{chicken}}}
\end{pgfscope}
}
\pgfputat{\pgfpoint{0pt}{0pt}}{\pgftext[left,bottom]{#1}}
\end{pgfpicture}}
\setstaticframe*
{titleimage}{offset=0pt,border={@flf@border@titleimage}}

\setstaticframe*{titleimage}{valign=c}
\newstaticframe[all]{44.59111mm}{28.575mm}{163.216216mm}{3.533108mm}[logo]

% Border command for frame 'logo'
\expandafter\def\csname @flf@border@logo\endcsname#1{%
\begin{pgfpicture}{0pt}{0pt}{44.59111mm}{28.575mm}
\pgfputat{\pgfpoint{-0.0mm}{-0.0mm}}{%
\begin{pgfscope}
\pgftransformcm{0.2}{-0.0}{0.0}{0.2}{\pgfpoint{0.0mm}{28.575mm}}
\pgflowlevelsynccm
\pgfputat{\pgfpoint{0pt}{0pt}}{\pgftext[top,left]{\includegraphics[width=222.955556mm,height=142.875mm]{dummy-logo}}}
\end{pgfscope}
}
\pgfputat{\pgfpoint{0pt}{0pt}}{\pgftext[left,bottom]{#1}}
\end{pgfpicture}}
\setstaticframe*
{logo}{offset=0pt,border={@flf@border@logo}}

\setstaticframe*{logo}{valign=c}
\newdynamicframe[all]{70.352783mm}{114.352783mm}{135.823608mm}{36.823608mm}[bookdata]

\setdynamicframe*{bookdata}{valign=c}
\setdynamiccontents*{bookdata}{\begin{tabular}{@{}ll}
Genre:    & Children's Illustrated \\
          & Fiction\\
RRP:      & £5.99\\
Format:   & Paperback\\
Pages:    & 30\\
Pub Date: & 1st August 2014\\
ISBN:     & 978-x-xxxxxx-xx-x
\end{tabular}

\bigskip

\begin{center}
\colorbox{white}{\includegraphics{barcode-qr}}
\end{center}
}
\endinput
